Skip to main content
`Ctrl`+`K`

# PetscPullJSONValue

Given a JSON response containing the substring with “key” : “value” where there may or not be spaces around the : returns the value.

## Synopsis

    PetscErrorCode PetscPullJSONValue(const char buff[], const char key[], char value[], size_t valuelen, PetscBool *found)

## Input Parameters

- buff - the char array containing the possible values

- key - the key of the requested value

- valuelen - the length of the array to contain the value associated with the key

## Output Parameters

- value - the value obtained

- found - flag indicating if the value was found in the buff

## See Also

`PetscOpenSocket()`, `PetscHTTPSRequest()`, `PetscSSLInitializeContext()`, `PetscPushJSONValue()`

## Level

advanced

## Location

src/sys/webclient/client.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages